using System;

namespace TX_Text_Control_Words
{
	public class ToolbarHandler
	{
		public frmMDIParent MainForm;
		public System.Windows.Forms.ToolBar MainFormToolbar;
		
		public ToolbarHandler()
		{

		}

		public void EnableToolbarButtons()
		{
			bool AllFormsClosed = (MainForm.ActiveMdiChild == null);
	
			MainFormToolbar.Buttons[2].Enabled = !AllFormsClosed;
			MainFormToolbar.Buttons[4].Enabled = !AllFormsClosed;
			MainFormToolbar.Buttons[5].Enabled = !AllFormsClosed;
			MainFormToolbar.Buttons[13].Enabled = !AllFormsClosed;

			if(AllFormsClosed)
			{
				MainFormToolbar.Buttons[7].Enabled = false;
				MainFormToolbar.Buttons[8].Enabled = false;
				MainFormToolbar.Buttons[9].Enabled = false;
				MainFormToolbar.Buttons[11].Enabled = false;
				MainFormToolbar.Buttons[12].Enabled = false;
				MainFormToolbar.Buttons[15].Enabled = false;
				MainFormToolbar.Buttons[16].Enabled = false;
				MainFormToolbar.Buttons[17].Enabled = false;
				MainFormToolbar.Buttons[18].Enabled = false;
			}
			else
			{
				frmMDIChild ActiveChild = (frmMDIChild)MainForm.ActiveMdiChild;
				MainFormToolbar.Buttons[7].Enabled = ActiveChild.CanCopy;
				MainFormToolbar.Buttons[8].Enabled = ActiveChild.CanCopy;
				MainFormToolbar.Buttons[9].Enabled = ActiveChild.CanPaste;
				MainFormToolbar.Buttons[11].Enabled = ActiveChild.CanUndo;
				MainFormToolbar.Buttons[12].Enabled = ActiveChild.CanRedo;
			}
		}

		public void ToolbarClickEventHandler(int Index)
		{
			if(Index == 0 || Index == 1)
			{
				switch(Index)
				{
					case 0:
						MainForm.FileNew(); break;
					case 1:
						MainForm.FileOpen(); break;
				}
			}
			else
			{
				frmMDIChild ActiveChild = (frmMDIChild)MainForm.ActiveMdiChild;

				switch(Index)
				{
					case 2:
						ActiveChild.FileSave(); break;
					case 3:
						ActiveChild.PrintPreview(); break;
					case 4:
						ActiveChild.Print(); break;
					case 5:
						ActiveChild.Cut(); break;
					case 6:
						ActiveChild.Copy(); break;
					case 7:
						ActiveChild.Paste(); break;
					case 8:
						ActiveChild.Undo(); break;
					case 9:
						ActiveChild.Redo(); break;
					case 10:
						ActiveChild.Find(); break;
					case 11:
						ActiveChild.HeaderAttributes(); break;
					case 12:
						ActiveChild.SwitchBetweenHeaderAndFooter(); break;
					case 13:
						ActiveChild.GoToFirstPage(); break;
					case 14:
						ActiveChild.GoToDefault(); break;
				}
			}
		}

		public void HeaderFooterButtonEnable(bool Enable)
		{
			MainFormToolbar.Buttons[15].Enabled = Enable;
			MainFormToolbar.Buttons[16].Enabled = Enable;
			MainFormToolbar.Buttons[17].Enabled = Enable;
			MainFormToolbar.Buttons[18].Enabled = Enable;
		}
	}
}
